Subject: FVWM: Re:Notification: incoming/900

From: Petr Nejedly <[email-masked]>
Date: Thu, 04 Jul 2002 13:57:36 +0200

I've filled the bug 900

I've made some progress in tracking its roots but I can't
attach notes to the bug (How can I?) so I'm posting it here:

The problem is in communication between fvwm and module,
where fvwm tries to send WindowConfig with title_height=26,
but the module receives title_height=26*2^16

There is short field title_thickness in the struct FvwmWindow
but is it accessed as (int *)&field from
make_new_vpacket(module_interface.c:912,913,1140).
This may work on x86 but can't work on opposite endiannness machine.

-- 
Petr "Nenik" Nejedly, NetBeans/Sun Microsystems, http://www.netbeans.org
355/113 -- Not the famous irrational number PI, but an incredible simulation!
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].